Bug 1461969 - [RFE] CloudForms can collect Metrics from Prometheus in OpenShift
[RFE] CloudForms can collect Metrics from Prometheus in OpenShift
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.9.0
Assigned To: Yaacov Zamir
Shalom Naim
container:c&u
: FutureFeature
: 1497510 (view as bug list)
Depends On: 1468251
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 14:59 EDT by Loic Avenel
Modified: 2017-12-01 20:45 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)

  None (edit)
Description Loic Avenel 2017-06-15 14:59:55 EDT
[RFE] CloudForms can collect Metrics from Promotheus in OpenShift
Comment 2 Yaacov Zamir 2017-07-06 09:21:33 EDT
submited upstream:
https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/20
Comment 3 Yaacov Zamir 2017-08-31 11:33:38 EDT
merged upstream:
https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/71
Comment 4 DeShuai Ma 2017-08-31 22:37:53 EDT
As this card said, CFME 4.6 will be integrated into ocp3.7, will CFME-4.6 contain this feature?
https://trello.com/c/Rzfn5Qa8/380-5-integrate-cfme-46-into-ocp-installation
Comment 5 Loic Avenel 2017-09-01 04:24:52 EDT
(In reply to DeShuai Ma from comment #4)
> As this card said, CFME 4.6 will be integrated into ocp3.7, will CFME-4.6
> contain this feature?
> https://trello.com/c/Rzfn5Qa8/380-5-integrate-cfme-46-into-ocp-installation

That is correct
Comment 6 Federico Simoncelli 2017-09-28 14:24:36 EDT
(In reply to Yaacov Zamir from comment #3)
> merged upstream:
> https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/71

That PR was in preparation, RFE is not completed yet.
Moving back to ASSIGNED
Comment 7 Yaacov Zamir 2017-09-28 14:40:57 EDT
(In reply to Federico Simoncelli from comment #6)
> (In reply to Yaacov Zamir from comment #3)
> > merged upstream:
> > https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/71
> 
> That PR was in preparation, RFE is not completed yet.
> Moving back to ASSIGNED

This BZ and it's PR allow collecting metrics from prometheus that can be installed with OCP 3.6.

We can not support reading metrics from currently unknown future prometheus that will come with not yet released OCP 3.7 

Shalom Naim is making a BZ for the Development version of 3.7, we can use that BZ to trek development of the OCP 3.7 suppport.

Shalom what is the progress on the OCP 3.7 BZ ?
Comment 8 Federico Simoncelli 2017-09-28 15:19:49 EDT
(In reply to Yaacov Zamir from comment #7)
> (In reply to Federico Simoncelli from comment #6)
> > (In reply to Yaacov Zamir from comment #3)
> > > merged upstream:
> > > https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/71
> > 
> > That PR was in preparation, RFE is not completed yet.
> > Moving back to ASSIGNED
> 
> This BZ and it's PR allow collecting metrics from prometheus that can be
> installed with OCP 3.6.

The BZ is definitely not.
Prometheus wasn't delivered in 3.6 so there's nothing to collect in 3.6.


> We can not support reading metrics from currently unknown future prometheus
> that will come with not yet released OCP 3.7 

There are 3.7 builds since August 9th.
The only blocking bug (bug 1485222) was fixed at the beginning of September, in case it's not really fixed or if there are other issues we should report them (any?).


> Shalom Naim is making a BZ for the Development version of 3.7, we can use
> that BZ to trek development of the OCP 3.7 suppport.
> 
> Shalom what is the progress on the OCP 3.7 BZ ?

No, there is no Prometheus in OpenShift 3.6, nothing to collect there, this BZ is already referenced from many PRDs, let's not confuse the expected delivery.
Comment 9 Yaacov Zamir 2017-09-28 15:31:13 EDT
> There are 3.7 builds since August 9th.

This BZ is from Jun 15 , 2.5 months prior to Aug.
The PR is from May 21, 3 months prior.

They where never meant to cover 3.7.

Actually we had to wait with work on 3.7 until #20/#71 PR was merged, because the 3.7 support depended on the infrastructure made in #20
Comment 10 Yaacov Zamir 2017-10-02 07:11:24 EDT
*** Bug 1497510 has been marked as a duplicate of this bug. ***
Comment 11 Yaacov Zamir 2017-10-02 07:21:38 EDT
We are re-using this PR to monitor support for the upcoming OCP(3.7)+Prometheus(Dev) metrics:

Infrastructure for reading prometheus:  
1. https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/20 - merged by (#62 [1], #71 [2])
2. https://github.com/prometheus/prometheus_api_client_ruby/pull/9 - merged

Missing:
1. Support for the dev version of Prometheus (that will be supported with OCP 3.7, once released) not yet a PR.

[1] https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/62
[2] https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/71
Comment 12 Greg Blomquist 2017-11-16 18:49:29 EST
All of the PRs that appear to be associated with this BZ are merged.

Is this in POST now?  Or, still active development?
Comment 13 Yaacov Zamir 2017-11-17 01:47:57 EST
> Is this in POST now?  Or, still active development?

ON_DEV - we did not fully check the new setup with prometheus in OCP version >= 3.7.

Currently we are missing pod uid label [1], we currently collect metrics for a pod by combining non unique labels to create a unique one, this is not optimal. 

The PR for that is in development.

P.S.
We already moved this to POST [2] and opened a new BZ for testing with the new 3.7 setup ( e.g. different labelling of metrics ). But then decided to change it back to ON_DEV and use it for tracking the changes in the setup of v3.7 [3]

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1504034
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1461969#c3
[3] https://bugzilla.redhat.com/show_bug.cgi?id=1461969#c6
Comment 14 Yaacov Zamir 2017-11-26 08:27:02 EST
submitted upstream:
https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/132

Note You need to log in before you can comment on or make changes to this bug.